# std::gamma_distribution::gamma_distribution

From cppreference.com
< cpp‎ | numeric‎ | random‎ | gamma distribution

explicit gamma_distribution( RealType alpha = 1.0, RealType beta = 1.0 ); | (1) | (since C++11)
explicit gamma_distribution( const param_type& params ); | (2) | (since C++11)

Constructs a new distribution object. The first version uses `alpha` and `beta` as the distribution parameters, the second version uses `params` as the distribution parameters.

### Parameters

alpha | - | the α distribution parameter (shape)
beta | - | the β distribution parameter (scale)
params | - | the distribution parameter set

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/gamma_distribution/gamma_distribution&oldid=69663"